package com.qmth.paper.library.common.bean.dto.excel;

import com.qmth.paper.library.common.annotation.ExcelImportTempleteVaild;
import com.qmth.paper.library.common.annotation.ExcelNote;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Description: 基础学生数据导入类
 * @Author: CaoZixuan
 * @Date: 2021-08-05
 */
@ExcelImportTempleteVaild(value = true)
public class BasicStudentImportDto implements Serializable {
    @ExcelNote(value = "姓名")
    @NotNull
    private String studentName;

    @ExcelNote(value = "学号")
    @NotNull
    private String studentCode;

    @ExcelNote(value = "学院")
    private String collegeName;

    @ExcelNote(value = "专业")
    private String majorName;

    @ExcelNote(value = "班级")
    private String clazzName;

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getCollegeName() {
        return collegeName;
    }

    public void setCollegeName(String collegeName) {
        this.collegeName = collegeName;
    }

    public String getMajorName() {
        return majorName;
    }

    public void setMajorName(String majorName) {
        this.majorName = majorName;
    }

    public String getClazzName() {
        return clazzName;
    }

    public void setClazzName(String clazzName) {
        this.clazzName = clazzName;
    }
}
